From 46766131037db34c6028b3fb8f9f2d1ea9391c48 Mon Sep 17 00:00:00 2001
From: Xavier Lacot <xavier@lacot.org>
Date: Fri, 22 Jul 2011 22:18:36 +0200
Subject: [PATCH] updated the README file

---
 README.markdown | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/README.markdown b/README.markdown
index 3545076..34b8d3f 100644
--- a/README.markdown
+++ b/README.markdown
@@ -3,6 +3,8 @@
 ## Presentation of joli.js
 joli.js is a simple ORM for [Appcelerator Titanium mobile](http://www.appcelerator.com/products/titanium-mobile-application-development/) projects. It was built borrowing large parts of the code of [JazzRecord](http://www.jazzrecord.org/), a more general and complex javascript ORM. Praise and kudos to them!
 
+joli.js is widely unit-tested. Go check [the demo application](https://github.com/xavierlacot/joli.js-demo/) in order to run the test suite.
+
 ## What does "joli" stand for?
 "joli" means in French "nice", "tiny". Just what joli.js tries to be.
 
@@ -238,6 +240,17 @@ Please use GitHub in order to report bugs, but you may also ask for help on how
 
 ## Changelog
 
+### Version 0.3 - 2011-07-22
+* added a lot of unit tests [in the demonstration application](https://github.com/xavierlacot/joli.js-demo/). Most ORM features are now unit-tested.
+* selection now return object collections
+* added support for several hydratation modes
+* joli.js now validates through [jshint](http://jshint.com/)
+* introduced joli.model.truncate(), which empties the table associated to a model
+* introduced joli.record.get(), which allows to acces one record's properties
+* made joli.query.join() able to complete the joined field names in the format table.field
+* fixed joli.query.whereIn() which was buggy for textual values
+* fixed a variable-reference bug in joli.record.save(), which led to an inconsistent behavior of joli.record.isChanged()
+
 ### Version 0.2 - 2011-06-20
 
 * added object-level methods, and fixed the documentation accordingly
